Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.external.javadoc.optionfile
Class JavadocOptionFileWriterContext

    java.lang.Object
      org.gradle.external.javadoc.optionfile.JavadocOptionFileWriterContext

    public class JavadocOptionFileWriterContext

extends java.lang.Object

Constructor Summary
`JavadocOptionFileWriterContext(java.io.BufferedWriter writer)`

Method Summary
`JavadocOptionFileWriterContext` | `newLine()`
`JavadocOptionFileWriterContext` | `write(java.lang.String string)`
`JavadocOptionFileWriterContext` | `writeMultilineValuesOption(java.lang.String option, java.util.Collection<java.lang.String> values)`
`JavadocOptionFileWriterContext` | `writeOption(java.lang.String option)`
`JavadocOptionFileWriterContext` | `writeOptionHeader(java.lang.String option)`
`JavadocOptionFileWriterContext` | `writePathOption(java.lang.String option, java.util.Collection<java.io.File> files, java.lang.String joinValuesBy)`
`JavadocOptionFileWriterContext` | `writeValue(java.lang.String value)`
`JavadocOptionFileWriterContext` | `writeValueOption(java.lang.String option, java.util.Collection<java.lang.String> values)`
`JavadocOptionFileWriterContext` | `writeValueOption(java.lang.String option, java.lang.String value)`
`JavadocOptionFileWriterContext` | `writeValuesOption(java.lang.String option, java.util.Collection<java.lang.String> values, java.lang.String joinValuesBy)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavadocOptionFileWriterContext

    public JavadocOptionFileWriterContext(java.io.BufferedWriter writer)

Method Detail

### write

    public JavadocOptionFileWriterContext write(java.lang.String string)
                                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### newLine

    public JavadocOptionFileWriterContext newLine()
                                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeOptionHeader

    public JavadocOptionFileWriterContext writeOptionHeader(java.lang.String option)
                                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeOption

    public JavadocOptionFileWriterContext writeOption(java.lang.String option)
                                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeValueOption

    public JavadocOptionFileWriterContext writeValueOption(java.lang.String option,
                                                           java.lang.String value)
                                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeValue

    public JavadocOptionFileWriterContext writeValue(java.lang.String value)
                                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeValueOption

    public JavadocOptionFileWriterContext writeValueOption(java.lang.String option,
                                                           java.util.Collection<java.lang.String> values)
                                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeValuesOption

    public JavadocOptionFileWriterContext writeValuesOption(java.lang.String option,
                                                            java.util.Collection<java.lang.String> values,
                                                            java.lang.String joinValuesBy)
                                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeMultilineValuesOption

    public JavadocOptionFileWriterContext writeMultilineValuesOption(java.lang.String option,
                                                                     java.util.Collection<java.lang.String> values)
                                                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### writePathOption

    public JavadocOptionFileWriterContext writePathOption(java.lang.String option,
                                                          java.util.Collection<java.io.File> files,
                                                          java.lang.String joinValuesBy)
                                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD